signon 8.54

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Slots | Public Member Functions | List of all members
PasswordPluginNS::PasswordPlugin Class Reference

Password plugin for Sign-On. More...

`#include <passwordplugin.h>`

Inheritance diagram for PasswordPluginNS::PasswordPlugin:
[legend]
Collaboration diagram for PasswordPluginNS::PasswordPlugin:
[legend]

## Public Slots
QString | type () const
QStringList | mechanisms () const
void | cancel ()
void | process (const SignOn::SessionData &inData, const QString &mechanism=0)
void | userActionFinished (const SignOn::UiSessionData &data)

## Public Member Functions
| PasswordPlugin (QObject *parent=0)
virtual | ~PasswordPlugin ()

## Detailed Description

Password plugin for Sign-On.

Sign-On plugin that returns plain text password. If password is not given in parameters, user is requested to input password.

Definition at line 39 of file passwordplugin.h.

## Constructor & Destructor Documentation

PasswordPluginNS::PasswordPlugin::PasswordPlugin | ( | QObject * | parent = `0` | ) |

Definition at line 30 of file passwordplugin.cpp.

References TRACE.

PasswordPluginNS::PasswordPlugin::~PasswordPlugin | ( |  | ) |
| virtual

Definition at line 36 of file passwordplugin.cpp.

References TRACE.

## Member Function Documentation

void PasswordPluginNS::PasswordPlugin::cancel | ( |  | ) |
| slot

Definition at line 53 of file passwordplugin.cpp.

QStringList PasswordPluginNS::PasswordPlugin::mechanisms | ( |  | ) | const
| slot

Definition at line 46 of file passwordplugin.cpp.

void PasswordPluginNS::PasswordPlugin::process | ( | const SignOn::SessionData & | inData,
|  | const QString & | mechanism = `0`
| ) |  |
| slot

Definition at line 61 of file passwordplugin.cpp.

References TRACE.

QString PasswordPluginNS::PasswordPlugin::type | ( |  | ) | const
| slot

Definition at line 41 of file passwordplugin.cpp.

void PasswordPluginNS::PasswordPlugin::userActionFinished | ( | const SignOn::UiSessionData & | data | ) |
| slot

Definition at line 90 of file passwordplugin.cpp.

References TRACE.

The documentation for this class was generated from the following files:

- src/plugins/password/passwordplugin.h
- src/plugins/password/passwordplugin.cpp